# Method: projects.locations.serverTlsPolicies.list

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-security/rest/v1/projects.locations.serverTlsPolicies/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-security/rest/v1/projects.locations.serverTlsPolicies/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-security/rest/v1/projects.locations.serverTlsPolicies/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-security/rest/v1/projects.locations.serverTlsPolicies/list#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-security/rest/v1/projects.locations.serverTlsPolicies/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-security/rest/v1/projects.locations.serverTlsPolicies/list#body.ListServerTlsPoliciesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-security/rest/v1/projects.locations.serverTlsPolicies/list#body.aspect)

Lists ServerTlsPolicies in a given project and location.

### HTTP request

`GET https://networksecurity.googleapis.com/v1/{parent=projects/*/locations/*}/serverTlsPolicies`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project and location from which the ServerTlsPolicies should be listed, specified in the format `projects/*/locations/{location}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `networksecurity.serverTlsPolicies.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of ServerTlsPolicies to return per call. |
| `pageToken` | `string` The value returned by the last `ListServerTlsPoliciesResponse` Indicates that this is a continuation of a prior `serverTlsPolicies.list` call, and that the system should return the next page of data. |
| `returnPartialSuccess` | `boolean` Optional. Setting this field to `true` will opt the request into returning the resources that are reachable, and into including the names of those that were unreachable in the \[ListServerTlsPoliciesResponse.unreachable\] field. This can only be `true` when reading across collections e.g. when `parent` is set to `"projects/example/locations/-"`. |

### Request body

The request body must be empty.

### Response body

Response returned by the serverTlsPolicies.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "serverTlsPolicies": [ { object (`https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-security/rest/v1/projects.locations.serverTlsPolicies#ServerTlsPolicy`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `serverTlsPolicies[]` | ``object (`https://docs.cloud.google.com/service-mesh/v1.26/docs/reference/network-security/rest/v1/projects.locations.serverTlsPolicies#ServerTlsPolicy`)`` List of ServerTlsPolicy resources. |
| `nextPageToken` | `string` If there might be more results than those appearing in this response, then `nextPageToken` is included. To get the next set of results, call this method again using the value of `nextPageToken` as `pageToken`. |
| `unreachable[]` | `string` Unreachable resources. Populated when the request opts into `returnPartialSuccess` and reading across collections e.g. when attempting to list all resources across all supported locations. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).